<?php

declare(strict_types=1);

namespace Gls\GlsPoland\AdePlus\ParcelShop;

final class CParcelShop2Group
{
    /**
     * @var string
     */
    private $name;

    public function getName(): string
    {
        return $this->name;
    }

    public function withName(string $name): CParcelShop2Group
    {
        $new = clone $this;
        $new->name = $name;

        return $new;
    }
}
